.block-account-page,
.block-cart-page{
    
    padding: 5px 0;
    background-color: #f7f7f7;
    .block-cart-head{
        padding: 30px 0;
        display: flex;
        justify-content: flex-start;
        align-items: flex-end;
        h1{
            margin: 0;
            margin-right: 10px;
            font-style: normal;
            font-weight: 600;
            font-size: 24px;
            line-height: 24px;/* identical to box height */
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: $text-color;
        }
        .meta{
            font-family: $opensans-font;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 19px;

            color: $content-color-default;
        }
    }
    .block-table-cart{
        table{
            margin-bottom: 40px;
            display: table !important;
            width: 100%;
            border-collapse: collapse;
            background-color: #f7f7f7;
            thead{
                // background: #E9E9E9;
                // border-radius: 3px 3px 0px 0px;
                tr{
                    // border: 1px solid #E9E9E9;
                    th{
                        padding: 15px .75rem;
                        font-family: $header-font;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                        border: none;
                        white-space: nowrap;
                        border-bottom: 1px solid #dedede;
                    }
                }
            }
            tbody{
                border-bottom: 1px solid #dedede;
                tr{
                    vertical-align: middle;
                    // border: 1px solid #E9E9E9;
                    background-color: #f7f7f7;
                    td{
                        // background-color: white;
                        vertical-align: middle;
                        border: none;
                        strong{
                            font-weight: 600;
                        }
                        .btn-close{
                            outline: none;
                            box-shadow: none;
                            border: none;
                            &:hover{
                                svg{
                                    path{
                                        fill: $main-color;
                                    }
                                }
                            }
                        }
                        .cart-product-item{
                            display: inline-flex;
                            align-items: center;
                            .thumb{
                                width: 80px;
                                margin-right: 10px;
                                img{
                                    width: 100%;
                                }
                            }
                            .cart-product-info{
                                .name{
                                    margin: 0;
                                    margin-bottom: 8px;
                                    a{
                                        white-space: nowrap;
                                        text-decoration: none;
                                        font-style: normal;
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 17px;
                                        color: $text-color;
                                        transition: all 0.23s;
                                        &:hover{
                                            color: $main-color;
                                            transition: all 0.23s;
                                        }
                                    }
                                }
                                .desc{
                                    font-style: normal;
                                    font-weight: normal;
                                    font-size: 14px;
                                    line-height: 17px;

                                    color: #969696;
                                }
                                .product-size,
                                .product-color{
                                    margin-bottom: 5px;
                                }
                            }
                        }
                        .quantity{
                            display: inline-block;
                            position: relative;
                            .quantity-button{
                                width: 14px;
                                height: 14px;
                                background: transparent;
                                img{
                                    display: none;
                                }
                            }
                            .quantity-down{
                                position: absolute;
                                top: 5px;
                                left: -23px;
                                &::before{
                                    position: absolute;
                                    top: -9px;
                                    left: 4px;
                                    content: url('../images/minus2.jpg');
                                }
                            }
                            .quantity-up{
                                position: absolute;
                                top: 5px;
                                right: -23px;
                                &::before{
                                    position: absolute;
                                    top: -6px;
                                    right: 4px;
                                    content: url('../images/plus2.png');
                                }
                            }
                            input{
                                background: white;
                                border: 1px solid #DADADA;
                                border-radius: 3px;
                                outline: none;
                                box-shadow: none;
                                font-family: Open Sans;
                                font-style: normal;
                                font-weight: 600;
                                font-size: 14px;
                                line-height: 20px;
                                align-items: center;
                                text-align: center;

                                color: #666666;
                                &::focus{
                                    border-color: $main-color;
                                }
                            }
                            input[type=number]::-webkit-inner-spin-button,
                            input[type=number]::-webkit-outer-spin-button
                            {
                            -webkit-appearance: none;
                            margin: 0;
                            }

                            input[type=number]
                            {
                            -moz-appearance: textfield;
                            }
                        }
                    }
                }
            }
        }
        
    }
    .block-cart-total{
        display: flex;
        justify-content: space-between;
        // background-color: #F9FAFB;
        // padding: 20px 15px;
        // border: 2px solid #F4F6F8;
        box-sizing: border-box;
        .item-group{
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 15px;
            .title-price{
                margin: 0;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 17px;
                color: black;
                margin-right: 5px;
            }
            strong.price{
                color: black;
            }
            .btn{
                box-shadow: none;
                outline: none;
                border: solid 1px transparent;
                border-radius: 40px;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 17px;
                letter-spacing: 0.01em;
                width: 100%;
            }
            .btn-paynow{
                background-color: $main-color;
                border-color: $main-color;
                color: #FFFFFF;
            }
            .btn-continue{
                background-color: white;
                border-color: $content-color-default;
                color: $content-color-default;
            }
        }
        .pay-ctn{
            display: grid;
            grid-template-columns: auto auto;
            grid-gap: 30px;
            justify-content: space-between;
        }
    }
    .block-table-history{
        table{
            margin-bottom: 40px;
            display: table;
            thead{
                background: #E9E9E9;
                border-radius: 3px 3px 0px 0px;
                tr{
                    border: 1px solid #E9E9E9;
                    th{
                        padding: 15px .75rem;
                        font-family: $header-font;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                        border: none;
                        white-space: nowrap;
                        text-align: center;
                    }
                }
            }
            tbody{
                tr{
                    vertical-align: middle;
                    border: 1px solid #E9E9E9;
                    td{
                        background-color: white;
                        vertical-align: middle;
                        font-family: $opensans-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 23px;/* identical to box height */
                        text-align: center;
                        letter-spacing: 0.01em;
                        color: $text-color;
                    }
                }
            }
        }
    }
    .block-user-infor{
        background: #FFFFFF;
        /* border */
        border: 1px solid #E9E9E9;
        box-sizing: border-box;
        padding: 30px 20px;
        h5{
            font-style: normal;
            font-weight: 600;
            font-size: 16px;
            line-height: 23px;/* identical to box height */
            letter-spacing: 0.01em;
            text-transform: uppercase;
            margin-bottom: 15px;
        }
        table{
            tr{
                td{
                    vertical-align: middle;
                    font-family: Open Sans;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 19px;
                    border: none;
                    color: $text-color;
                    &:first-child{
                        white-space: nowrap;
                        font-family: $opensans-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 16px;/* identical to box height */
                        text-transform: uppercase;
                        color: $content-color-default;
                    }
                }
            }
        }
        .btn-setting{
            height: 39px;
            line-height: 39px;
            display: flex;
            align-items: center;
            justify-content: center;
            color: white;
            font-family: $header-font;
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 17px;
            text-align: center;
            text-transform: uppercase;
            background: $main-color;
            border-radius: 999px;
            outline: none;
            box-shadow: none;
        }
    }
}

@media (max-width: 767px) {
    .block-account-page .block-table-history table,
    .block-cart-page .block-table-cart table{
        display: block !important;
    }
    .block-cart-page .block-cart-total{
        display: grid;
        grid-template-columns: 100%;
        
    }
}

.block-succsess-page{
    background-color: #f7f7f7;
    display: flex;
    align-items: center;
    min-height: 400px;
    img{
        margin-bottom: 30px;
    }
    p{
        font-family: $opensans-font;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 19px;
        text-align: center;
        margin-bottom: 20px;
        color: #25292C;
    }
    a{
        font-family: $nunito-font;
        font-style: normal;
        font-weight: bold;
        font-size: 14px;
        line-height: 19px;
        text-transform: uppercase;
        text-decoration: underline;
        color: $main-color;
    }
}